Bug 2271 - CD-ROM install requires loading a module
CD-ROM install requires loading a module
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
Depends On:
  Show dependency treegraph
Reported: 1999-04-19 12:19 EDT by sdaftuar
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-08-31 12:02:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description sdaftuar 1999-04-19 12:19:18 EDT
I have an unsupported CD-ROM drive, but I was able to patch
a kernel with support for it, and I replaced the kernel on
the RedHat boot floppy with my kernel.  This kernel does
recognize my CD-ROM at boot; however, the installer won't
let me do a CD-ROM install because it wants to find a CD-ROM
driver module to use with it (and loading these modules
fails, since I have no such drive).  If the installer
allowed me to skip this (and switch to a virtual console, so
I could create the appropriate entry in /dev), then I'd be
Comment 1 Bill Nottingham 1999-08-31 12:02:59 EDT
The installer can't let you switch to a CD-ROM then, because
there's no shell to switch to (no space on the boot disk.)

You'd have to patch the installer.

Note You need to log in before you can comment on or make changes to this bug.